Bug 241963 - sysutils/zfs-stats: is not broken actually
Summary: sysutils/zfs-stats: is not broken actually
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Matuska
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-14 10:36 UTC by Anton Saietskii
Modified: 2019-12-01 16:12 UTC (History)
4 users (show)

See Also:
pi: maintainer-feedback+


Attachments
svn-diff-zfs-stat (1.03 KB, patch)
2019-11-15 16:34 UTC, Walter Schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Saietskii 2019-11-14 10:36:30 UTC
I see that port is marked broken by r516897. Why? It still can be fetched via https://github.com/mmatuska/zfs-stats/archive/1.2.2.tar.gz
Comment 1 Walter Schwarzenfeld freebsd_triage 2019-11-15 16:34:58 UTC
Created attachment 209168 [details]
svn-diff-zfs-stat

Or an update to 1.3.0.

(I did not tested functionality, only if it is fetchable and if it builds).
Comment 2 Kurt Jaeger freebsd_committer 2019-11-15 18:55:03 UTC
testbuilds are fine, run-test looks fine on a box with zfs.
Comment 3 Dan Langille freebsd_committer 2019-11-27 13:37:00 UTC
The issue appears to be DNS:

[dan@pkg01:/usr/local/poudriere/ports/default/sysutils/zfs-stats] $ sudo make makesum
===>  License BSD2CLAUSE accepted by the user
===>  License BSD2CLAUSE accepted by the user
===>   zfs-stats-1.2.2_1 depends on file: /usr/local/sbin/pkg - found
=> zfs-stats-1.2.2.tar.gz doesn't seem to exist in /usr/local/poudriere/ports/default/distfiles/.
=> Attempting to fetch https://cloud.github.com/downloads/mmatuska/zfs-stats/zfs-stats-1.2.2.tar.gz
fetch: https://cloud.github.com/downloads/mmatuska/zfs-stats/zfs-stats-1.2.2.tar.gz: No address record
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/zfs-stats-1.2.2.tar.gz
zfs-stats-1.2.2.tar.gz                                   9 kB   36 MBps    00s
===> Fetching all distfiles required by zfs-stats-1.2.2_1 for building

[dan@pkg01:/usr/local/poudriere/ports/default/sysutils/zfs-stats] $ host cloud.github.com
cloud.github.com is an alias for d24z2fz21y4fag.cloudfront.net.

[dan@pkg01:/usr/local/poudriere/ports/default/sysutils/zfs-stats] $ host d24z2fz21y4fag.cloudfront.net
[dan@pkg01:/usr/local/poudriere/ports/default/sysutils/zfs-stats] $ 

-- 
  Dan Langille
  dan@langille.org
Comment 4 Dan Langille freebsd_committer 2019-11-27 13:39:52 UTC
All ports using MASTER_SITES= GHC may be unfetchable.  cloud.github.com is not resolving.  https://www.whatsmydns.net/#A/cloud.github.com
Comment 5 commit-hook freebsd_committer 2019-11-27 14:45:06 UTC
A commit references this bug:

Author: mm
Date: Wed Nov 27 14:44:54 UTC 2019
New revision: 518503
URL: https://svnweb.freebsd.org/changeset/ports/518503

Log:
  Unbreak and update zfs-stats to 1.3.0

  PR:		241963

Changes:
  head/sysutils/zfs-stats/Makefile
  head/sysutils/zfs-stats/distinfo
Comment 6 Anton Saietskii 2019-12-01 14:21:47 UTC
Fixed in r518503.